Anope Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001611Anope Stable (2.0.x series)[All Projects] Generalpublic2014-09-10 17:572014-11-04 08:15
Reporteralefburzmali 
Assigned ToAdam 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Summary0001611: Defcon operonly and silentoperonly actions are not implemented
DescriptionIf a Defcon level with the operonly or the silentoperonly action is activated, Services don't ignore the normal, non-oper users and will continue to execute their commands.

The only limited commands are the ones blocked by the nonewchannels / nonewnicks / nomlockchanges / nonewmemos action, which are working as intended.

Steps To Reproduce* activate os_defcon and add the operonly / silentoperonly to a level
* reload
* /msg operserv defcon 2
* as a normal user, send commands to NickServ, ChanServ, etc
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006660)
alefburzmali (reporter)
2014-10-12 00:38

This was fixed by DukePyrolator in commit 8e7b742ec73a0a0c5a9ae1dc4ce246ebbe37c737. I've tested it, and it works as expected. Thanks!

- Issue History
Date Modified Username Field Change
2014-09-10 17:57 alefburzmali New Issue
2014-10-12 00:38 alefburzmali Note Added: 0006660
2014-11-04 08:15 Adam Status new => resolved
2014-11-04 08:15 Adam Resolution open => fixed
2014-11-04 08:15 Adam Assigned To => Adam


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker